
// This is a handle for the name of the test variable
TEST_VARIABLE_NAME = "TestVariable";

// This contains the value of the variable from the configuration file
testVariableValue = null;

// This is called when the plugin is initialized by the server
function pluginInit(hash) {

	// Get the value of the test variable
        testVariableValue = hash.get(TEST_VARIABLE_NAME);

}


// This is called when a request is made to the plugin
function pluginRequest(hash) {

	// Get the name of who called this plugin
	var caller = hash.get("ExecutingUserName");
	
	// Create the variables to send back to the user
	var variables = new Object();
	variables.TestVariable = testVariableValue;

	// Send a message back to the caller
	server.sendMessage("private", [caller], "Results", variables);

}